org.apache.velocity.tools.generic

## Class XmlTool.NodeIterator

- java.lang.Object
- - org.apache.velocity.tools.generic.XmlTool.NodeIterator

All Implemented Interfaces:
  Iterator<XmlTool>

Enclosing class:
  XmlTool

    public static class XmlTool.NodeIterator
    extends Object
    implements Iterator<XmlTool>

Iterator implementation that wraps a Node list iterator to return new XmlTool instances for each item in the wrapped iterator.s

### Constructor Summary

Constructors
Constructor and Description
`NodeIterator(Iterator<Node> i)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`XmlTool` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### NodeIterator

    public NodeIterator(Iterator<Node> i)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<XmlTool>`

#### next

    public XmlTool next()

Specified by:
  `next` in interface `Iterator<XmlTool>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<XmlTool>`